Bug 51512 - libGL libraries break Radeon support
libGL libraries break Radeon support
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-08-11 09:29 EDT by Trond Eivind Glomsrxd
Modified: 2007-04-18 12:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-23 22:26:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
build radeon/sis_dri.so as SharedDriModuleTarget (845 bytes, patch)
2001-08-23 22:26 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Trond Eivind Glomsrxd 2001-08-11 09:29:58 EDT
When using 

[teg@xyzzy teg]$ rpm -q kernel Mesa XFree86
[teg@xyzzy teg]$

accelerated 3D doesn't work. When using libGL/libGLU from XFree 4.1 (but no
other changes), it works fine. Other cards with support from 4.0.3 continue
to work, so I'm guessing you use an outdated version which isn't synced
with XFree 4.1.
Comment 1 Mike A. Harris 2001-08-12 07:35:53 EDT
Trond, what epoch is the Mesa package you have?
Comment 2 Trond Eivind Glomsrxd 2001-08-12 10:31:51 EDT
[teg@xyzzy teg]$ rpm -q --queryformat "%{NAME} %{VERSION} %{EPOCH}\n" Mesa
Mesa 3.4.2 3
[teg@xyzzy teg]$ 
Comment 3 Glen Foster 2001-08-13 15:07:12 EDT
We (Red Hat) should really try to fix this before next release.
Comment 4 Mike A. Harris 2001-08-14 10:22:20 EDT
New Mesa 3.4.2-5 should fix this alongside XFree86-4.1.0-0.9.13

Will be in rawhide soon.
Comment 5 Trond Eivind Glomsrxd 2001-08-15 22:37:46 EDT
Doesn't work at all. Exchanging libGL to one from XFree 4.1 works. You do
something bad to it.
Comment 6 Trond Eivind Glomsrxd 2001-08-15 22:42:54 EDT
[teg@xyzzy teg]$ rpm -q Mesa XFree86
[teg@xyzzy teg]$ 

Comment 7 Alexander Larsson 2001-08-17 22:31:52 EDT
I see this too. Same versions as trond.

I traced it a little bit, and it seems to be doing everything correctly, loading
the radeon_dri.so library and executing some code in it. Even opening
/dev/dri/card0 and doing some ioctls that all succeed. Then it just start using
software fallbacks, with no warnings or anything.

Comment 8 Bill Nottingham 2001-08-23 22:10:56 EDT
It's jumping to the wrong code, because of how the modules are built.
They need to export some symbols globally, or things will just grab the
functions from Mesa instead.
Comment 9 Bill Nottingham 2001-08-23 22:26:24 EDT
Created attachment 29316 [details]
build radeon/sis_dri.so as SharedDriModuleTarget
Comment 10 Mike A. Harris 2001-08-28 07:44:08 EDT
Fixed now in Rawhide release of XFree86 4.1.0-0.99.2 and Mesa-3.4.2-7
Comment 11 Fernando Soares 2001-09-01 20:38:18 EDT
And where I can find this new packages?

Note You need to log in before you can comment on or make changes to this bug.